> ## Documentation Index
> Fetch the complete documentation index at: https://knowledge.bitbybit.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Order

> Update order status, fulfillment status, or notes.



## OpenAPI

````yaml PUT /orders/{id}
openapi: 3.1.0
info:
  title: bitbybit Open API
  description: >-
    The bitbybit Open API provides programmatic access to your bitbybit data
    including customers, orders, and products.
  version: 1.0.0
  contact:
    name: bitbybit Support
    url: https://bitbybit.studio
servers:
  - url: https://api.bitbybit.studio/customer/api/open/v1
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /orders/{id}:
    put:
      tags:
        - Orders
      summary: Update an order
      description: Update order status, fulfillment status, or notes.
      operationId: updateOrder
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - active
                    - archived
                    - cancelled
                    - refunded
                fulfillmentStatus:
                  type: string
                  enum:
                    - unfulfilled
                    - fulfilled
                financialStatus:
                  type: string
                  enum:
                    - pending
                    - paid
                    - refunded
                notes:
                  type: string
      responses:
        '200':
          description: Order updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Order'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Order:
      type: object
      properties:
        id:
          type: string
        orderId:
          type: string
          nullable: true
        orderNumber:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - active
            - archived
            - cancelled
            - refunded
        fulfillmentStatus:
          type: string
          enum:
            - unfulfilled
            - fulfilled
        financialStatus:
          type: string
          enum:
            - pending
            - paid
            - refunded
        total:
          type: number
        currency:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        customer:
          type: object
          properties:
            id:
              type: string
            firstName:
              type: string
              nullable: true
            lastName:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            phoneNumber:
              type: string
              nullable: true
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/LineItem'
        shippingAddress:
          $ref: '#/components/schemas/Address'
        tags:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    LineItem:
      type: object
      properties:
        id:
          type: string
        quantity:
          type: integer
        price:
          type: number
        title:
          type: string
        productVariant:
          $ref: '#/components/schemas/ProductVariant'
    Address:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        address1:
          type: string
          nullable: true
        address2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        province:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        zip:
          type: string
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
    ProductVariant:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        price:
          type: number
        compareAtPrice:
          type: number
          nullable: true
        inventorySku:
          type: string
          nullable: true
        media:
          type: string
          nullable: true
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: NOT_FOUND
              message: Resource not found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Create one in Settings > Developer.

````